Bug 100713 - [RFE] publishing errata with multiple versions of the same package (for different releases) into cloaned channels does not work!
[RFE] publishing errata with multiple versions of the same package (for diffe...
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn250
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 11:10 EDT by Kambiz Aghaiepour
Modified: 2008-10-16 13:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 13:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kambiz Aghaiepour 2003-07-24 11:10:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When an errata has multiple versions of packages (with different versions
intended for different releases), and the packages are newer than those which
are currently in the channels into which you want to publish the errata, the
confirmation page that asks if the package should be copied into the channel
only offers the option to copy the highest numbered version of each package that
is in the errata, into the destination channel.  e.g.

eratta offers:
foo-1.1-1 for 7.3
foo-1.1-2 for AS2.1

the latest foo in both the clones of 7.3 and AS2.1 is foo-1.0-1.
The confirmation page then to copy the foo package into each of those channels
only offers the ability to copy foo-1.1-2 (for both of the clone channels, even
though for the 7.3 clone channel, the foo-1.1-1 package should be copied).

The confirmation should allow the selection of any version that the errata provides.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.clone an errata with multiple version of the same package in it.
2.publish the errata to multiple cloned channels 
3.See the selections available.
    

Additional info:
Comment 1 Bill C. Riemers 2008-03-04 16:08:25 EST
This is more of an RFE, since the code is working as designed...
Comment 2 Stephen Herr 2008-10-16 13:47:04 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.